Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.functions.supportVector
Class SMOset

    java.lang.Object
      weka.classifiers.functions.supportVector.SMOset

All Implemented Interfaces:
  java.io.Serializable

    public class SMOset

extends java.lang.Object
implements java.io.Serializable

Stores a set of integer of a given size.

Version:
  $Revision: 1.1.2.1 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`SMOset(int size)` Creates a new set of the given size.

Method Summary
`boolean` | `contains(int index)` Checks whether an element is in the set.
`void` | `delete(int index)` Deletes an element from the set.
`int` | `getNext(int index)` Gets the next element in the set.
`void` | `insert(int index)` Inserts an element into the set.
`int` | `numElements()` Returns the number of elements in the set.
`void` | `printElements()` Prints all the current elements in the set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMOset

    public SMOset(int size)

  Creates a new set of the given size.

Method Detail

### contains

    public boolean contains(int index)

  Checks whether an element is in the set.

### delete

    public void delete(int index)

  Deletes an element from the set.

### insert

    public void insert(int index)

  Inserts an element into the set.

### getNext

    public int getNext(int index)

  Gets the next element in the set. -1 gets the first one.

### printElements

    public void printElements()

  Prints all the current elements in the set.

### numElements

    public int numElements()

  Returns the number of elements in the set.

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD